## Vue2 模板

（技术引用链接）

- [Vue](https://cn.vuejs.org/)
- [JavaScript](https://www.javascript.com/)

## 介绍

Vue2 是以 Vue 为技术框架的 iBizSys 前端模板，该模板是以 CDN 的模式进行导入。使用 JavaScript 原型链继承模式来进行构建，抽象了公共逻辑关系。

## 特性

- 使用 FreeMarker 模板引擎发布成果文件
- 以 Vue 为前端技术框架
- 集成了iview、element-ui等高质量UI组件
- 不需要编译，可以直接访问。

## 支持环境

- 现代浏览器和 IE11 及以上

## 项目结构

Vue2 有两种项目结构模式：
1. 基于Maven的J2EE项目结构模式，该结构项目会同时发布app_xxx_pub、app_xxx_usr两个前端目录，目录内容会由Maven自动编译到工作空间内合并，app_xxx_usr内容覆盖app_xxx_pub内容。
2. 微服务的项目结构模式，该结构模式会发布生成app_xxx前端文件夹，该文件夹不参与合并至工作空间，本地开发需要手动拷贝至工作空间下。
两种模式下项目结构是一致的：

![produce](img/project-structure.png)

## 访问说明

Vue2 访问分为开发访问和生产访问，两种访问模式的区别在于访问文件后缀不一致，具体如下：
1. 生产访问。是将该项目的所有关联视图文件经过编译合并，减少页页面对关联视图文件的请求量，提高访问效率与性能。

![produce](img/production.png)

2. 开发访问，该项目的所有关联视图文件原始引入，不做编译处理，视图html内容采用es6 模板字符串语法书写，只有现代浏览器支持，同时方便用户开发调整。如开发人员需要本地进行生产访问，则需要手动本地合并。

![produce](img/development.png)

## 成果展示

实体表格视图：

![produce](img/gridview.png)

实体编辑视图：

![produce](img/editview.png)

实体图表视图：

![produce](img/echartview.png)

实体树导航视图：

![produce](img/treeexpview.png)

实体工作流导航视图：

![produce](img/wfexpview.png)